<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div>
  <label
    *ngIf="stepMetadata && countValidationMetadata > 0"
    [innerText]="actionPopupMessages.mandatoryValidationMetadataMessage(countValidationMetadata)">
  </label>


  <app-step-metadata-list
    *ngIf="stepMetadata?.length > 0 && countValidationMetadata > 0"
    [folders]="folders"
    [performedAction]="performedAction"
    [metadataList]="stepMetadata"
    [isFolderEditable]="true"
    [isMetadataRequired]="true"
    [labelFontWeightNormal]="true"
    [showRejectionMetadata]="false"
    (valid)="setValidationMetadataFormValid($event)">
  </app-step-metadata-list>

  <label
    *ngIf="stepMetadata && countRejectionMetadata > 0"
    [innerText]="actionPopupMessages.mandatoryRejectionMetadataMessage(countRejectionMetadata)">
  </label>


  <app-step-metadata-list
    *ngIf="stepMetadata?.length > 0 && countRejectionMetadata > 0"
    [folders]="folders"
    [performedAction]="performedAction"
    [metadataList]="stepMetadata"
    [isFolderEditable]="true"
    [isMetadataRequired]="true"
    [labelFontWeightNormal]="true"
    [showValidationMetadata]="false"
    (valid)="setRejectionMetadataFormValid($event)">
  </app-step-metadata-list>
</div>

